VkShaderModuleCreateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkShaderModuleCreateFlags | flags
size_t | codeSize
const uint32_t * | pCode

## Detailed Description

Definition at line 1903 of file vulkan.h.

## Field Documentation

## codeSize

size_t VkShaderModuleCreateInfo::codeSize

Definition at line 1907 of file vulkan.h.

## flags

VkShaderModuleCreateFlags VkShaderModuleCreateInfo::flags

Definition at line 1906 of file vulkan.h.

## pCode

const uint32_t* VkShaderModuleCreateInfo::pCode

Definition at line 1908 of file vulkan.h.

## pNext

const void* VkShaderModuleCreateInfo::pNext

Definition at line 1905 of file vulkan.h.

## sType

VkStructureType VkShaderModuleCreateInfo::sType

Definition at line 1904 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h